import { AxiosApiClient, InvoiceDto, TodoSurchargeDto } from "@smallstack/axios-api-client";
import { CounterStore } from "@smallstack/cms-components";
import { RouterUtilService } from "@smallstack/common-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { TodoSurchargesStore } from "../../../stores/todo-surcharges.store";
import { WorklogStore } from "../../../stores/worklog.store";
import * as i0 from "@angular/core";
export declare class CreateInvoicesWidgetComponent extends BaseWidgetComponent {
    private axiosApiClient;
    private routerUtilService;
    protected invoices: InvoiceDto[];
    protected worklogCount: number;
    protected counter: string;
    protected surcharges: TodoSurchargeDto[];
    protected invoiceContext: {
        billingPeriod?: string;
        billingPeriodStart?: string;
        billingPeriodEnd?: string;
    };
    constructor(axiosApiClient: AxiosApiClient, surchargeStore: TodoSurchargesStore, counterStore: CounterStore, worklogStore: WorklogStore, routerUtilService: RouterUtilService);
    protected createBill(): () => Promise<void>;
    protected gotoInvoices(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateInvoicesWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateInvoicesWidgetComponent, "smallstack-create-invoices-widget", never, {}, {}, never, never, true, never>;
}
