import { AxiosApiClient, TodoDto } from "@smallstack/axios-api-client";
import { RouterUtilService, ScrollTopService } from "@smallstack/common-components";
import { UserService } from "@smallstack/user-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class UpcomingTodosWidgetComponent extends BaseWidgetComponent {
    protected axiosApiClient: AxiosApiClient;
    scrollTopService: ScrollTopService;
    private routerUtilService;
    private userService;
    protected isLoading: boolean;
    protected showTodos: BehaviorSubject<boolean>;
    protected showTodoTemplates: BehaviorSubject<boolean>;
    protected todos: TodoDto[];
    protected todoTemplates: TodoDto[];
    constructor(axiosApiClient: AxiosApiClient, scrollTopService: ScrollTopService, routerUtilService: RouterUtilService, userService: UserService);
    setData(data: {
        selection: string[];
        onlyToday: boolean;
    }): Promise<void>;
    toggleTodo(todo: TodoDto): () => Promise<void>;
    saveTodo(todo: TodoDto): Promise<void>;
    createdTodo(newTodo: TodoDto): void;
    openLink(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpcomingTodosWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UpcomingTodosWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
