import { ChangeDetectorRef } from "@angular/core";
import { WorklogDto } from "@smallstack/axios-api-client";
import { ConfigurationStore } from "@smallstack/common-components";
import { TodoBillingPrice, TodoBillingService } from "@smallstack/todo-shared";
import { TodoStore } from "../../stores/todo.store";
import * as i0 from "@angular/core";
export declare class WorklogBillingComponent {
    protected configurationStore: ConfigurationStore;
    private cdr;
    private todoBillingService;
    private todoStore;
    protected prices: TodoBillingPrice[];
    protected set worklog(worklog: WorklogDto);
    constructor(configurationStore: ConfigurationStore, cdr: ChangeDetectorRef, todoBillingService: TodoBillingService, todoStore: TodoStore);
    static ɵfac: i0.ɵɵFactoryDeclaration<WorklogBillingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WorklogBillingComponent, "smallstack-worklog-billing", never, { "worklog": { "alias": "worklog"; "required": false; }; }, {}, never, never, false, never>;
}
